<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="89da9c35-0e9b-4d58-816f-0d76fdef89a0" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/.idea/uiDesigner.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/vcs.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/classes/com/progressoft/JIP8/lab4/Equation.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/test-classes/com/progressoft/JIP8/lab4/EquationTest$1.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/test-classes/com/progressoft/JIP8/lab4/EquationTest$2.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/test-classes/com/progressoft/JIP8/lab4/EquationTest$3.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/target/test-classes/com/progressoft/JIP8/lab4/EquationTest.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../P@ssw0rd/.idea/P@ssw0rd.iml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../P@ssw0rd/.idea/vcs.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../P@ssw0rd/target/classes/com/progressoft/JIP8/PasswordGenerator.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../P@ssw0rd/target/test-classes/META-INF/P@ssw0rd.kotlin_module" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../P@ssw0rd/target/test-classes/com/progressoft/JIP8/Password$TestPasswordChars.class" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../P@ssw0rd/target/test-classes/com/progressoft/JIP8/Password.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/compiler.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/compiler.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/Equation.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/progressoft/JIP8/lab4/Equation.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/test/java/EquationTest.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/test/java/com/progressoft/JIP8/lab4/EquationTest.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/Equation.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/test-classes/EquationTest$1.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/test-classes/EquationTest$2.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/test-classes/EquationTest$3.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/test-classes/EquationTest.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../P@ssw0rd/.idea/P@ssw0rdn.iml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../P@ssw0rd/.idea/compiler.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../P@ssw0rd/.idea/compiler.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../P@ssw0rd/.idea/modules.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../P@ssw0rd/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../P@ssw0rd/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../P@ssw0rd/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../P@ssw0rd/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../P@ssw0rd/src/main/java/progressoft/password/PasswordGenerator.java" beforeDir="false" afterPath="$PROJECT_DIR$/../P@ssw0rd/src/main/java/com/progressoft/JIP8/Lab5/PasswordGenerator.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../P@ssw0rd/src/test/java/progressoft/password/Password.java" beforeDir="false" afterPath="$PROJECT_DIR$/../P@ssw0rd/src/test/java/com/progressoft/JIP8/Lab5/Password.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../P@ssw0rd/target/classes/META-INF/Lab 5.kotlin_module" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../P@ssw0rd/target/classes/progressoft/password/PasswordGenerator.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../P@ssw0rd/target/test-classes/META-INF/Lab 5.kotlin_module" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../P@ssw0rd/target/test-classes/progressoft/password/Password$TestPasswordChars.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../P@ssw0rd/target/test-classes/progressoft/password/Password.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/main/java/graphs/BinaryTree.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/main/java/com/progressoft/JIP8/graphs/BinaryTree.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/main/java/graphs/Main.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/main/java/com/progressoft/JIP8/graphs/Main.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/main/java/graphs/Node.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/main/java/com/progressoft/JIP8/graphs/Node.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/main/java/graphs/Queue.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/main/java/com/progressoft/JIP8/graphs/Queue.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/main/java/graphs/Stack.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/main/java/com/progressoft/JIP8/graphs/Stack.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/main/java/graphs/StaticQueue.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/main/java/com/progressoft/JIP8/graphs/StaticQueue.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/main/java/graphs/StaticStack.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/main/java/com/progressoft/JIP8/graphs/StaticStack.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/main/java/matrix/Main.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/main/java/matrix/Matrix.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/main/java/com/progressoft/JIP8/matrix/Matrix.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/test/java/graphs/TestGraphs.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/test/java/com/progressoft/JIP8/graphs/TestGraphs.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../Tasks1-3/src/test/java/matrix/MatrixTest.java" beforeDir="false" afterPath="$PROJECT_DIR$/../Tasks1-3/src/test/java/com/progressoft/JIP8/matrix/MatrixTest.java" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/../.." />
  </component>
  <component name="JavaAutoRunManager">
    <enabled-run-configurations>
      <run-configuration type="JUnit" name="EquationTest.testEquationResult" />
    </enabled-run-configurations>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectId" id="1VVvOGtNxuocE21Msn83AqeoPCN" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="extract.method.default.visibility" value="private" />
    <property name="last.edited.regexp" value="**" />
    <property name="last_directory_selection" value="$PROJECT_DIR$/src/test/java/com/progressoft/JIP8/lab4" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../Stations" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
  </component>
  <component name="RecentsManager">
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="com.progressoft.JIP8.lab4" />
    </key>
  </component>
  <component name="RunManager" selected="JUnit.EquationTest (1)">
    <configuration name="EquationTest (1)" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="Equation" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.progressoft.JIP8.lab4.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.progressoft.JIP8.lab4" />
      <option name="MAIN_CLASS_NAME" value="com.progressoft.JIP8.lab4.EquationTest" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="EquationTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="Calculater" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="EquationTest" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="EquationTest.testEquationResult" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="Calculater" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="EquationTest" />
      <option name="METHOD_NAME" value="testEquationResult" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="EquationTest.testEquationSyntax" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="Calculater" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="EquationTest" />
      <option name="METHOD_NAME" value="testEquationSyntax" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.EquationTest (1)" />
        <item itemvalue="JUnit.EquationTest.testEquationResult" />
        <item itemvalue="JUnit.EquationTest" />
        <item itemvalue="JUnit.EquationTest.testEquationSyntax" />
      </list>
    </recent_temporary>
  </component>
  <component name="ServiceViewManager">
    <option name="viewStates">
      <list>
        <serviceView>
          <treeState>
            <expand />
            <select />
          </treeState>
        </serviceView>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="89da9c35-0e9b-4d58-816f-0d76fdef89a0" name="Default Changelist" comment="" />
      <created>1577351042022</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1577351042022</updated>
    </task>
    <servers />
  </component>
  <component name="WindowStateProjectService">
    <state x="311" y="58" width="800" height="677" key="#Project_Structure" timestamp="1577978227585">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="311" y="58" width="800" height="677" key="#Project_Structure/67.27.1299.741@67.27.1299.741" timestamp="1577978227585" />
    <state x="167" y="125" width="1099" height="543" key="#com.intellij.execution.junit2.states.ComparisonFailureState$DiffDialog" timestamp="1577367888706">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="167" y="125" width="1099" height="543" key="#com.intellij.execution.junit2.states.ComparisonFailureState$DiffDialog/67.27.1299.741@67.27.1299.741" timestamp="1577367888706" />
    <state x="524" y="115" width="374" height="562" key="#com.intellij.ide.util.MemberChooser" timestamp="1577366120202">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="524" y="115" width="374" height="562" key="#com.intellij.ide.util.MemberChooser/67.27.1299.741@67.27.1299.741" timestamp="1577366120202" />
    <state x="469" y="257" width="484" height="290" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.classes" timestamp="1578320228073">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="469" y="257" width="484" height="290" key="#com.intellij.refactoring.move.moveClassesOrPackages.MoveClassesOrPackagesDialog.classes/67.27.1299.741@67.27.1299.741" timestamp="1578320228073" />
    <state x="449" y="145" width="524" height="502" key="#com.intellij.refactoring.typeMigration.ui.FailedConversionsDialog" timestamp="1577364449279">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="449" y="145" width="524" height="502" key="#com.intellij.refactoring.typeMigration.ui.FailedConversionsDialog/67.27.1299.741@67.27.1299.741" timestamp="1577364449279" />
    <state width="525" height="438" key="DebuggerActiveHint" timestamp="1577371797264">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state width="525" height="438" key="DebuggerActiveHint/67.27.1299.741@67.27.1299.741" timestamp="1577371797264" />
    <state x="499" y="154" width="424" height="484" key="FileChooserDialogImpl" timestamp="1578320602923">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="499" y="154" width="424" height="484" key="FileChooserDialogImpl/67.27.1299.741@67.27.1299.741" timestamp="1578320602923" />
    <state width="1253" height="268" key="GridCell.Tab.0.bottom" timestamp="1578320604017">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state width="1253" height="268" key="GridCell.Tab.0.bottom/67.27.1299.741@67.27.1299.741" timestamp="1578320604017" />
    <state width="1253" height="268" key="GridCell.Tab.0.center" timestamp="1578320604015">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state width="1253" height="268" key="GridCell.Tab.0.center/67.27.1299.741@67.27.1299.741" timestamp="1578320604015" />
    <state width="1253" height="268" key="GridCell.Tab.0.left" timestamp="1578320604014">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state width="1253" height="268" key="GridCell.Tab.0.left/67.27.1299.741@67.27.1299.741" timestamp="1578320604014" />
    <state width="1253" height="268" key="GridCell.Tab.0.right" timestamp="1578320604016">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state width="1253" height="268" key="GridCell.Tab.0.right/67.27.1299.741@67.27.1299.741" timestamp="1578320604016" />
    <state width="1253" height="219" key="GridCell.Tab.1.bottom" timestamp="1577976292180">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state width="1253" height="219" key="GridCell.Tab.1.bottom/67.27.1299.741@67.27.1299.741" timestamp="1577976292180" />
    <state width="1253" height="219" key="GridCell.Tab.1.center" timestamp="1577976292180">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state width="1253" height="219" key="GridCell.Tab.1.center/67.27.1299.741@67.27.1299.741" timestamp="1577976292180" />
    <state width="1253" height="219" key="GridCell.Tab.1.left" timestamp="1577976292180">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state width="1253" height="219" key="GridCell.Tab.1.left/67.27.1299.741@67.27.1299.741" timestamp="1577976292180" />
    <state width="1253" height="219" key="GridCell.Tab.1.right" timestamp="1577976292180">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state width="1253" height="219" key="GridCell.Tab.1.right/67.27.1299.741@67.27.1299.741" timestamp="1577976292180" />
    <state x="302" y="95" width="819" height="602" key="NewModule_or_Project.wizard" timestamp="1578320589479">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="302" y="95" width="819" height="602" key="NewModule_or_Project.wizard/67.27.1299.741@67.27.1299.741" timestamp="1578320589479" />
    <state x="523" y="333" width="377" height="126" key="ReplaceDuplicatesPrompt" timestamp="1577354862124">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="523" y="333" width="377" height="126" key="ReplaceDuplicatesPrompt/67.27.1299.741@67.27.1299.741" timestamp="1577354862124" />
    <state x="488" y="176" width="446" height="440" key="chooseDestDirectoryDialog" timestamp="1578320291903">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="488" y="176" width="446" height="440" key="chooseDestDirectoryDialog/67.27.1299.741@67.27.1299.741" timestamp="1578320291903" />
    <state x="372" y="224" key="com.intellij.ide.util.TipDialog" timestamp="1578206367761">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="372" y="224" key="com.intellij.ide.util.TipDialog/67.27.1299.741@67.27.1299.741" timestamp="1578206367761" />
    <state x="449" y="151" width="568" height="500" key="extract.method.dialog" timestamp="1577971045241">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="449" y="151" width="568" height="500" key="extract.method.dialog/67.27.1299.741@67.27.1299.741" timestamp="1577971045241" />
    <state x="67" y="100" width="1289" height="592" key="new project wizard" timestamp="1577976249732">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="67" y="100" width="1289" height="592" key="new project wizard/67.27.1299.741@67.27.1299.741" timestamp="1577976249732" />
    <state x="646" y="27" width="598" height="741" key="refactoring.ChangeSignatureDialog" timestamp="1577364138373">
      <screen x="67" y="27" width="1299" height="741" />
    </state>
    <state x="646" y="27" width="598" height="741" key="refactoring.ChangeSignatureDialog/67.27.1299.741@67.27.1299.741" timestamp="1577364138373" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/main/java/com/progressoft/JIP8/lab4/Equation.java</url>
          <line>133</line>
          <option name="timeStamp" value="2" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>